org.codehaus.groovy.syntax

## Class TokenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException
      - - org.codehaus.groovy.syntax.SyntaxException
        - - org.codehaus.groovy.syntax.TokenException

- All Implemented Interfaces:
    java.io.Serializable, GroovyExceptionInterface
  Direct Known Subclasses:
    ParserException, TokenMismatchException

      public class TokenException
      extends SyntaxException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenException(java.lang.String message, java.lang.Throwable cause, int line, int column)`
    `TokenException(java.lang.String message, java.lang.Throwable cause, int line, int column, int endLine, int endColumn)`
    `TokenException(java.lang.String message, Token token)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEndColumn()`

    - ### Methods inherited from class org.codehaus.groovy.syntax.SyntaxException

      `getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

    - ### Methods inherited from class org.codehaus.groovy.GroovyException

      `isFatal, setFatal`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenException

          public TokenException(java.lang.String message,
                        Token token)

    - #### TokenException

          public TokenException(java.lang.String message,
                        java.lang.Throwable cause,
                        int line,
                        int column)

    - #### TokenException

          public TokenException(java.lang.String message,
                        java.lang.Throwable cause,
                        int line,
                        int column,
                        int endLine,
                        int endColumn)

  - ### Method Detail

    - #### getEndColumn

          public int getEndColumn()

      Overrides:
        `getEndColumn` in class `SyntaxException`
      Returns:
        the end column on which the error occurs